Lightspeed Onsite > Do not upgrade to High Sierra on any Lightspeed Device

 

 
 

OnSite Product Update

 
 
Greetings from the OnSite team! Below is a brief product update regarding High Sierra and the latest updates.
 
 

High Sierra 

 
 
With macOS High Sierra being introduced this fall, our development team has been testing and fine-tuning Lightspeed OnSite to assure that it is fully compatible with the newest updates. We expect to have a High Sierra compatible version available later this fall. Until then, please do not upgrade to High Sierra on any Lightspeed device
 
 

2016 1.3

 
 
The newest OnSite version is now available on our Downloads page. This minor release will contain several fixes for rounding and calculation problems, a variety of miscellaneous setup issues as well as introducing additional enhancements for Omnichannel functionality. For a full list of bug fixes and product enhancements, please see the full release notes here . 
 
 
 
Please note that 2016 1.3 is the last release that will support OS X Yosemite 10.10 and OS X El Capitan 10.11. The macOS Sierra 10.12 or High Sierra 10.13 will be required with the next OnSite update.
 
 
If you have any more questions, please feel free to contact Lightspeed OnSite Support through the Help Desk, or the 24/7 phone lines at 1-866-932-1801 x2.  
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk